package configuration;

import org.w3c.dom.Element;
import org.w3c.dom.Node;
import org.w3c.dom.NodeList;

import java.util.Iterator;

public class ElementListIterator implements Iterator<Element> {
    private final NodeList nodes;
    private int position = 0;

    public ElementListIterator(NodeList nodes) {
        this.nodes = nodes;
    }

    @Override
    public boolean hasNext() {
        if (position >= nodes.getLength()) return false;

        // Vérifie s'il reste un nœud élément
        for (int i = position; i < nodes.getLength(); i++) {
            Node node = nodes.item(i);

            if (isElementNode(node)) return true;
        }

        return false;
    }

    @Override
    public Element next() {
        if (position >= nodes.getLength()) return null;

        Node node = nodes.item(position);
        position++;

        if (isElementNode(node)) return (Element) node;
        return next();
    }

    private static boolean isElementNode(Node node) {
        return node.getNodeType() == Node.ELEMENT_NODE;
    }
}
