package configuration;

import metadata.BuildingMetadata;
import simulation.Building;
import simulation.Route;
import simulation.Warehouse;

import java.util.Collection;

public class SimulationData {
    private final Collection<Building> buildings;
    private final Collection<Route> routes;

    public SimulationData(Collection<Building> buildings, Collection<Route> routes) {
        this.buildings = buildings;
        this.routes = routes;
    }

    public Collection<Building> getBuildings() {
        return buildings;
    }

    public Collection<Route> getRoutes() {
        return routes;
    }

    public Warehouse getWarehouse() {
        return (Warehouse) buildings.stream()
                .filter(b -> b.getType().equals(BuildingMetadata.TYPE_WAREHOUSE))
                .findFirst().get();
    }
}
