package metadata;

import simulation.BuildingState;

import java.util.Map;
import java.util.Objects;

public abstract class BuildingMetadata {
    public static final String TYPE_WAREHOUSE = "entrepot";

    protected final String type;
    protected final Map<BuildingState, String> iconsPaths;

    public BuildingMetadata(String type, Map<BuildingState, String> iconsPaths) {
        this.type = type;
        this.iconsPaths = iconsPaths;
    }

    public String getType() {
        return type;
    }

    public Map<BuildingState, String> getIconsPaths() {
        return iconsPaths;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        BuildingMetadata that = (BuildingMetadata) o;
        return type.equals(that.type);
    }

    @Override
    public int hashCode() {
        return Objects.hash(type);
    }

    @Override
    public String toString() {
        return "BuildingMetadata{" +
                "type='" + type + '\'' +
                '}';
    }
}
