package metadata;

import simulation.ComponentType;

import java.util.Objects;

public class FactoryInput {
    private final ComponentType type;
    private final int quantity;

    public FactoryInput(ComponentType type, int quantity) {
        this.type = type;
        this.quantity = quantity;
    }

    public ComponentType getType() {
        return type;
    }

    public int getQuantity() {
        return quantity;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        FactoryInput that = (FactoryInput) o;
        return quantity == that.quantity && type == that.type;
    }

    @Override
    public int hashCode() {
        return Objects.hash(type, quantity);
    }

    @Override
    public String toString() {
        return "FactoryInput{" +
                "type=" + type +
                ", quantity=" + quantity +
                '}';
    }
}
