package metadata;

import simulation.ComponentType;

import java.util.Objects;

public class FactoryOutput {
    private final ComponentType type;

    public FactoryOutput(ComponentType type) {
        this.type = type;
    }

    public ComponentType getType() {
        return type;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        FactoryOutput that = (FactoryOutput) o;
        return type == that.type;
    }

    @Override
    public int hashCode() {
        return Objects.hash(type);
    }

    @Override
    public String toString() {
        return "FactoryOutput{" +
                "type=" + type +
                '}';
    }
}
