package metadata;

import simulation.ComponentType;

import java.util.Objects;

public class WarehouseInput {
    private final ComponentType type;
    private final int capacity;

    public WarehouseInput(ComponentType type, int capacity) {
        this.type = type;
        this.capacity = capacity;
    }

    public ComponentType getType() {
        return type;
    }

    public int getCapacity() {
        return capacity;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        WarehouseInput that = (WarehouseInput) o;
        return capacity == that.capacity && type == that.type;
    }

    @Override
    public int hashCode() {
        return Objects.hash(type, capacity);
    }

    @Override
    public String toString() {
        return "WarehouseInput{" +
                "type=" + type +
                ", capacity=" + capacity +
                '}';
    }
}
