package simulation;

import java.util.Arrays;
import java.util.Objects;

public enum ComponentType {
    METAL("metal"),
    MOTOR("moteur"),
    PLANE("avion"),
    WING("aile");

    private final String typeName;

    ComponentType(String typeName) {
        this.typeName = typeName;
    }

    public String getTypeName() {
        return typeName;
    }

    public static ComponentType getForTypeName(String typeName) {
        return Arrays.stream(ComponentType.values())
                .filter(t -> Objects.equals(t.typeName, typeName))
                .findFirst().orElse(null);
    }
}
