package view;

import javax.swing.*;
import java.awt.*;
import java.beans.PropertyChangeEvent;
import java.beans.PropertyChangeListener;
import java.io.Serial;

public class MainWindow extends JFrame implements PropertyChangeListener {
    @Serial
    private static final long serialVersionUID = 1L;
    private static final String WINDOW_TITLE = "Laboratoire 1 : LOG121 - Simulation";
    public static final Dimension DIMENSION = new Dimension(700, 700);

    public MainWindow() {
        MainPanel mainPanel = new MainPanel();
        WindowMenu menu = new WindowMenu(mainPanel);

        add(mainPanel);
        add(menu, BorderLayout.NORTH);

        // Faire en sorte que le X de la fenêtre ferme la fenêtre
        setDefaultCloseOperation(EXIT_ON_CLOSE);
        setTitle(WINDOW_TITLE);
        setSize(DIMENSION);

        // Rendre la fenêtre visible
        setVisible(true);

        // Mettre la fenêtre au centre de l'écran
        setLocationRelativeTo(null);

        // Empêcher la redimension de la fenêtre
        setResizable(false);
    }

    @Override
    public void propertyChange(PropertyChangeEvent event) {
        if (event.getPropertyName().equals(Environment.TURN_PROPERTY_NAME)) {
            repaint();
        }
    }
}
